org.eclipse.ease.ui.help.hovers

## Class HelpHoverImageProvider

- java.lang.Object
- - org.eclipse.ease.ui.help.hovers.HelpHoverImageProvider

    public class HelpHoverImageProvider
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`HelpHoverImageProvider()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `getImageLocation(java.lang.String bundlePath)` When we need to add images to HTML sites we need to copy them over to the file system.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HelpHoverImageProvider

    public HelpHoverImageProvider()

### Method Detail

#### getImageLocation

    public static java.lang.String getImageLocation(java.lang.String bundlePath)

When we need to add images to HTML sites we need to copy them over to the file system. Reason is that images are part of *.jar files and cannot be directly used in a browser.

Parameters:
  `bundlePath` - path within org.eclipse.ease.ui plugin
Returns:
  file system path